<?php

/**
 * ContactForm class.
 * ContactForm is the data structure for keeping
 * contact form data. It is used by the 'contact' action of 'SiteController'.
 */
class CatGroup extends CFormModel {
	public $answer;

	public function rules() {
		return array(
			array('answer', 'required'),
		);
	}

	public function attributeLabels() {
		return array(
			'answer'=>'What group does your cat belong to?',
		);
	}

	public function getForm() {
		return new CForm(array(
			'showErrorSummary'=>true,
			'attributes'=>array('id'=>'survey'),
			'elements'=>array(
				'answer'=>array(
					'type'=>'radiolist',
					'items'=>array('Long Haired'=>'Long Haired','Short Haired'=>'Short Haired'),
					'layout'=>'{label}<br/>{input}<br/>{error}'
				),
			),
			'buttons'=>array(
				'submit'=>array(
					'type'=>'submit',
					'label'=>'Next'
				)
			)
		), $this);
	}
}
